jdbm.recman

## Class RecordFile

- java.lang.Object
- - jdbm.recman.RecordFile

    public final class RecordFile
    extends Object

This class represents a random access file as a set of fixed size records. Each record has a physical record number, and records are cached in order to improve access.

The set of dirty records on the in-use list constitutes a transaction. Later on, we will send these records to some recovery thingy.

### Field Summary

Fields
`static int` `BLOCK_SIZE` The length of a single block.

### Method Summary

Methods
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### BLOCK_SIZE

    public static final int BLOCK_SIZE

The length of a single block.

See Also:
  Constant Field Values

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`